package com.microsoft.office.ui.controls.inputpanel

/**
 * Class responsible for handling the states of input panel
 */
interface IInputPanelStateController : IInputPanelRegistry {

    /**
     * updates the input panel states.
     * Valid states are : PANEL_CLOSED, PANEL_OPENED
     * @param state: the new state to translate the input panel to
     * @param animate : should the translation happen with animation
     */
    fun updateState(state: Int, animate : Boolean)
}