package com.microsoft.office.ui.controls.inputpanel

/**
 * A scanner class which scans the incoming inputPanelState, applies its applies
 * its assertions and return the state back if its a valid state else returns null
 */
interface IInputStateScanner {

    /**
     * scans the state, applies validations, if valid return the state back else return null.
     * @param state: the incoming input panel state
     */
    fun scan(state: Int): Int?
}